%global pkgname zope-schema
%global modname zope.schema
%global summary Zope 3 schemas
%global _description \
This package is a zope.interface extension for defining data schemas.


Name: python-%{pkgname}
Summary: %{summary}
Version: 4.4.1
Release: 4%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.schema

# Python2
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-sphinx
# For tests
BuildRequires: python-zope-testing
BuildRequires: python-zope-interface
BuildRequires: python-zope-event

%{?python_provide:%python_provide python-%{pkgname}}
Requires: python-zope-interface
Requires: python-zope-event

# Python3
BuildRequires: python-srpm-macros
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-zope-testing
BuildRequires: python%{python3_pkgversion}-zope-interface
BuildRequires: python%{python3_pkgversion}-zope-event
%if 0%{?with_python3_other}
BuildRequires: python%{python3_other_pkgversion}-devel
BuildRequires: python%{python3_other_pkgversion}-setuptools
BuildRequires: python%{python3_other_pkgversion}-zope-testing
BuildRequires: python%{python3_other_pkgversion}-zope-interface
BuildRequires: python%{python3_other_pkgversion}-zope-event
%endif

%description %{_description}


# Python 3
%package -n python%{python3_pkgversion}-%{pkgname}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}
Requires: python%{python3_pkgversion}-zope-interface
Requires: python%{python3_pkgversion}-zope-event

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}
Requires: python%{python3_other_pkgversion}-zope-interface
Requires: python%{python3_other_pkgversion}-zope-event

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info


%build
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif

# Docs
make -C docs html
rm -fr docs/_build/html/{.buildinfo,.doctrees}


%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%py3_install
%py2_install


%check
%{__python2} setup.py test
%{__python3} setup.py test
%if 0%{?with_python3_other}
%{__python3_other} setup.py test
%endif


%files
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%doc docs/_build/html/
# Co-own %%{python2_sitelib}/zope/
%dir %{python2_sitelib}/zope/
%{python2_sitelib}/zope/schema/
%exclude %{python2_sitelib}/zope/schema/tests/
%exclude %{python2_sitelib}/zope/schema/*.txt
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

# Python3
%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%doc docs/_build/html/
# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/schema/
%exclude %{python3_sitelib}/zope/schema/tests/
%exclude %{python3_sitelib}/zope/schema/*.txt
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
%doc docs/_build/html/
# Co-own %%{python3_other_sitelib}/zope/
%dir %{python3_other_sitelib}/zope/
%{python3_other_sitelib}/zope/schema/
%exclude %{python3_other_sitelib}/zope/schema/tests/
%exclude %{python3_other_sitelib}/zope/schema/*.txt
%{python3_other_sitelib}/%{modname}-*.egg-info
%{python3_other_sitelib}/%{modname}-*-nspkg.pth
%endif


%changelog
* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 4.4.1-4
- Rebuilt to change main python from 3.4 to 3.6

* Wed Aug 02 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.4.1-3
- Fix BuildRequires name

* Tue Apr 25 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.4.1-2
- Build the Python3 version in EPEL.
- Use the included documentation.

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 4.4.1-1
- Latest upstream.
- Modernized python macros.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Jan 28 2014 Ralph Bean <rbean@redhat.com> - 4.4.0-1
- Latest upstream.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.3.2-1
- Latest upstream.
- README and CHANGES renamed from .txt to .rst.

* Wed Feb 13 2013 Ralph Bean <rbean@redhat.com> - 4.2.2-1
- Latest upstream.
- Added Python3 subpackage.
- Removed dos2unix references.  No longer needed.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 26 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.8.1-1
- Update to 3.8.1 (#741003)
- Fix ends of lines

* Thu Mar 31 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.8.0-1
- Update to 3.8.0 (#689215)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.7.1-1
- Update to 3.7.1
- Build Sphinx documents

* Thu Sep 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.0-1
- Update to 3.7.0
- Move the documents to proper place
- Exclude the tests

* Sat Sep 11 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.4-2
- Spec cleaned up
- Requires: python-zope-filesystem and python-setuptools removed
- Add %%check section and run tests
- BR: python-zope-testing and runtime requirements added
- Don't move the text files

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.4-1
- Initial packaging
